## imcode.util
Class HttpSessionUtils

    java.lang.Object
      imcode.util.HttpSessionUtils

    public class HttpSessionUtils

extends java.lang.Object

Method Summary
`static java.lang.String` `createUniqueNameForObject(java.lang.Object object)`
`static java.lang.String` `getSessionAttributeNameFromRequest(javax.servlet.http.HttpServletRequest request, java.lang.String requestAttributeOrParameterName)`
`static java.lang.Object` `getSessionAttributeWithNameInRequest(javax.servlet.http.HttpServletRequest request, java.lang.String requestAttributeOrParameterName)`
`static void` `put(javax.servlet.http.HttpServletRequest request, java.lang.String sessionAttributeName, java.io.Serializable objectToAddToSession)`
`static java.lang.Object` `removeSessionAttribute(javax.servlet.http.HttpServletRequest request, java.lang.String sessionAttributeName)`
`static void` `setSessionAttributeAndSetNameInRequestAttribute(java.io.Serializable objectToAddToSession, javax.servlet.http.HttpServletRequest request, java.lang.String sessionAttributeNameRequestAttributeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setSessionAttributeAndSetNameInRequestAttribute

    public static void setSessionAttributeAndSetNameInRequestAttribute(java.io.Serializable objectToAddToSession,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       java.lang.String sessionAttributeNameRequestAttributeName)

### put

    public static void put(javax.servlet.http.HttpServletRequest request,
                           java.lang.String sessionAttributeName,
                           java.io.Serializable objectToAddToSession)

### createUniqueNameForObject

    public static java.lang.String createUniqueNameForObject(java.lang.Object object)

### getSessionAttributeWithNameInRequest

    public static java.lang.Object getSessionAttributeWithNameInRequest(javax.servlet.http.HttpServletRequest request,
                                                                        java.lang.String requestAttributeOrParameterName)

### removeSessionAttribute

    public static java.lang.Object removeSessionAttribute(javax.servlet.http.HttpServletRequest request,
                                                          java.lang.String sessionAttributeName)

### getSessionAttributeNameFromRequest

    public static java.lang.String getSessionAttributeNameFromRequest(javax.servlet.http.HttpServletRequest request,
                                                                      java.lang.String requestAttributeOrParameterName)